ContactGroups

Remove members from a contact group

Removes one or more contacts from a contact group, returning the count of removed members. One request carries at most 1000 ids.

DELETE
/v1/contact-groups/{id}/members

Removes one or more contacts from a contact group, returning the count of removed members. One request carries at most 1000 ids.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^cgrp_[0-9a-hjkmnp-tv-z]{16,24}$

Request Body

application/json
  1. body
contactIds*array<>
Items1 <= items <= 1000

Response Body

Success

application/json
  1. response
removed*integer
Range0 <= value <= 9007199254740991
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.contactGroups.removeMembers({  "id": "example",  "contactIds": [    "example"  ]});
Example Response
{  "removed": 0}

Related documentation